%define name	root
%define version	v5.26.00
%define release	%mkrel 2
%define rootdir	%{_datadir}/%{name}

Name:		%{name}
Group:		Sciences/Physics
License:	GPL
Version:	%{version}
Release:	%{release}
Summary:	CERN framework for data processing
URL:		http://root.cern.ch/drupal
Source0:	ftp://root.cern.ch/root/%{name}_%{version}.source.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	fftw3-devel
BuildRequires:	freetype2-devel
BuildRequires:	GL-devel
BuildRequires:	libftgl-devel
BuildRequires:	libgsl-devel
BuildRequires:	libhepmc-devel
BuildRequires:	libiodbc-devel
BuildRequires:	libkrb-devel
BuildRequires:	libldap-devel
BuildRequires:	libpng-devel
BuildRequires:	libpythia-devel
BuildRequires:	libqt-devel
BuildRequires:	libxft-devel
BuildRequires:	libxml-devel
BuildRequires:	libxpm-devel
BuildRequires:	mysql-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRequires:	postgresql-devel
BuildRequires:	readline-devel
BuildRequires:	ruby-devel
BuildRequires:	tiff-devel
BuildRequires:	zlib-devel
%py_requires	-d

# x3d
Requires:	x11-font-sony-misc

%description
ROOT is a framework for data processing, born at CERN, at the heart of the
research on high-energy physics.  Every day, thousands of physicists use
ROOT applications to analyze their data or to perform simulations.


#------------------------------------------------------------------------
%prep
%setup -q -n %{name}


#------------------------------------------------------------------------
%build
# not an autotools configure (it just quarks like one)
./configure						\
%ifarch %{ix86}
	linux						\
%endif
%ifarch x86_64
	linuxx8664gcc					\
%endif
	--prefix=%{_prefix} 				\
	--libdir=%{_libdir}/root			\
	--cintincdir=%{rootdir}/cint			\
	--bindir=%{rootdir}/bin				\
	--enable-roofit					\
	--enable-gdml					\
	--enable-minuit2				\
	--enable-table					\
	--enable-unuran					\
	--enable-explicitlink				\
	--enable-gsl-shared				\
	--enable-pythia8				\
	--with-pythia8-incdir=%{_includedir}/pythia	\
	--with-pythia8-libdir=%{_libdir}		\
	--enable-qt					\
	--enable-qtgsi					\
	--enable-ruby

%make


#------------------------------------------------------------------------
%install
%makeinstall_std
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo %{_libdir}/%{name}	> %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf

# make export ROOTSYS=%{rootdir} functional
for f in test tutorials; do
    # in case of --short-circuit -bi
    rm -f %{buildroot}%{rootdir}/$f
    ln -sf %{_datadir}/doc/%{name}/$f %{buildroot}%{rootdir}/$f
done

mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh

export ROOTSYS=%{rootdir}
export PATH=%{rootdir}/bin:\$PATH
%{rootdir}/bin/%{name} "\$@"
EOF
chmod +x %{buildroot}%{_bindir}/%{name}


#------------------------------------------------------------------------
%clean
rm -fr %{buildroot}


#------------------------------------------------------------------------
%files
%defattr(-,root,root)
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/*
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/aclocal/root.m4
%{_datadir}/emacs/site-lisp/root-help.el
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%dir %{rootdir}
 %{rootdir}/*
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%{_mandir}/man1/*


%changelog
* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> v5.26.00-2mdv2010.1
+ Revision: 533660
- rebuild for openssl 1.0

* Sun Feb 07 2010 Funda Wang <fwang@mandriva.org> v5.26.00-1mdv2010.1
+ Revision: 501557
- New version 5.26.00

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> v5.24.00b-3mdv2010.1
+ Revision: 492266
- rebuild for new libjpeg v8

* Thu Dec 03 2009 Paulo Andrade <pcpa@mandriva.com.br> v5.24.00b-2mdv2010.1
+ Revision: 473145
- Enable pythia8 interface

* Thu Oct 15 2009 Paulo Andrade <pcpa@mandriva.com.br> v5.24.00b-1mdv2010.0
+ Revision: 457799
- Update to latest official patchlevel (corrects #54610)

* Tue Oct 06 2009 Paulo Andrade <pcpa@mandriva.com.br> v5.24.00-3mdv2010.0
+ Revision: 454362
+ rebuild (emptylog)

* Thu Oct 01 2009 Paulo Andrade <pcpa@mandriva.com.br> v5.24.00-2mdv2010.0
+ Revision: 451922
+ rebuild (emptylog)

* Thu Oct 01 2009 Paulo Andrade <pcpa@mandriva.com.br> v5.24.00-1mdv2010.0
+ Revision: 451909
- Initial import of root v5.24.00.
- root

